use actix_web::{web, HttpResponse, Responder};
use askama::Template;
use sqlx::SqlitePool;

use crate::models::Role;

#[derive(Template)]
#[template(path = "register.html")]
struct RegisterTemplate {
    roles: Vec<Role>,
}

#[actix_web::get("/register")]
async fn route(pool: web::Data<SqlitePool>) -> impl Responder {
    let roles = match Role::GetAll(pool.get_ref()).await {
        Ok(value) => value,
        Err(error) => return HttpResponse::InternalServerError().body(error.to_string()),
    };

    let bla = RegisterTemplate { roles };

    HttpResponse::Ok().body(bla.render().unwrap())
}
